import numpy as np
from matplotlib import pyplot as plt


def plot_prediction(source, target, prediction):
    source_length = len(source)
    target_length = len(target)
    x_source = np.arange(0, source_length)
    x_target = np.arange(source_length, source_length + target_length)

    plt.plot(x_source, source)
    if target_length == 1:
        plt.plot(x_target, target, "o")
        plt.plot(x_target, prediction, "o")
    else:
        plt.plot(x_target, target)
        plt.plot(x_target, prediction)
    plt.show()
