import unittest

import torch
from torch import nn


class Sigmoid(nn.Module):
    def __init__(self):
        super(Sigmoid, self).__init__()
        self.sigmoid = nn.Sigmoid()

    def forward(self, x: torch.Tensor):
        out = self.sigmoid(x)
        return out


class TestSigmoid(unittest.TestCase):
    def test(self):
        activation = Sigmoid()
        input = torch.randn(20, 100, 16)
        output = activation(input)
        self.assertEqual(list(output.shape), [20, 100, 16])
