import torch.nn as nn


class AttentionPassthrough(nn.Module):
    def __init__(self):
        super(AttentionPassthrough, self).__init__()
        self.attention = AttentionPassthrough1()

    def forward(self, x, mask=None):
        return self.attention(x, x, x, mask)


class AttentionPassthrough1(nn.Module):
    def __init__(self):
        super(AttentionPassthrough1, self).__init__()

    def forward(self, x, _unused1, _unused2, _mask):
        return x
