from torch import nn


class SingleFeedForward(nn.Module):
    def __init__(self, embedding_dim):
        super(SingleFeedForward, self).__init__()
        self.linear = nn.Linear(embedding_dim, embedding_dim)

    def forward(self, x):
        return self.linear(x)
