from enum import Enum
from typing import List


class ModuleCategory(Enum):
    UNSPECIFIED = "unspecified"
    GENERIC = "generic"
    ATTENTION = "attention"
    CONVOLUTION = "convolution"
    DROPOUT = "dropout"
    FEED_FORWARD = "feed_forward"
    POSITIONAL_ENCODING = "positional_encoding"
    NORMALIZATION = "normalization"
    ACTIVATION = "activation"
    TRANSFORMER = "transformer"

    @staticmethod
    def values() -> List[Enum]:
        return [module for module in ModuleCategory]
