import torch.nn as nn
import torch.nn.functional as functional


class Generator(nn.Module):
    def __init__(self, embedding_dim, vocabulary_size):
        super(Generator, self).__init__()
        self.linear = nn.Linear(embedding_dim, vocabulary_size)

    def forward(self, x):
        return functional.log_softmax(self.linear(x), dim=-1)
